:root {
    --bs-primary: #30A0CB; /* Màu primary mới */
    --bs-primary-rgb: 48, 160, 203;
}
body {
    background-color: #fdf2d6 !important;
}
.nav-link {
    color: rgb(255 209 209) !important;
}
.bg-dark {
    background: #FFF !important;
}
.bg-menu {
    background: #d32525 !important;
}
.btn-primary {
    background-color: var(--bs-primary) !important;
    border-color: var(--bs-primary) !important;
}

    .btn-primary:hover {
        background-color: rgba(var(--bs-primary-rgb), 0.85) !important;
        border-color: rgba(var(--bs-primary-rgb), 0.85) !important;
    }

body {
    background-color: #f4fafc;
}

.nav-item.active a {
    color: #ffffff !important;
	font-weight: bold;
}

.btn-primary {
    background-color: #ffffff !important;
    border: 2px solid #ffffff !important;
    color: #c62828 !important; /* đỏ đậm */
}

.btn-primary:hover {
    background-color: #ffecec !important;
    border-color: #ffffff !important;
    color: #b71c1c !important;
}

.hero {
    text-align: center;
    padding: 100px 20px;
    background: url('header-bg.jpg') center/cover;
    position: relative;
}

    .hero::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.5); /* Điều chỉnh độ mờ */
    }

.hero-content {
    position: relative;
    z-index: 1;
    max-width: 960px;
}

.hero-buttons .btn {
    margin: 5px;
}

.search-box {
    display: flex;
    align-items: center;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 10px;
    /* padding: 5px; */
    width: 100%;
    max-width: 500px;
    overflow: hidden;
    margin: auto;
}

    .search-box input, .search-box input:focus {
        border: none;
        background: transparent;
        color: #FFF;
    }

        .search-box input::placeholder {
            color: rgba(255, 255, 255, 0.7);
        }

    .search-box button, .search-box a {
        width: 120px;
    }

/*new section*/
.news-card {
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    border: solid 1px #ffffff;
    box-shadow: 0 3px 6px #b5b5b5;
}

    .news-card .image-container {
        width: 100%;
        height: 180px;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        background: #222;
    }

    .news-card img {
        max-width: 100%;
        object-fit: cover;
    }

    .news-card .news-date {
        position: absolute;
        top: 10px;
        right: 10px;
        background: rgba(0, 0, 0, 0.7);
        color: white;
        padding: 5px 10px;
        border-radius: 5px;
    }

    .news-card .card-body {
        background: rgb(255 255 255 / 90%);
        color: #242424;
        padding: 15px;
    }

.news-card .card-title {
    font-size: 14px;
    font-weight: 600;
    text-overflow: ellipsis;
    cursor: pointer;
	line-height: 1.5;
	
	overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
	min-height: 44px;
	margin-bottom: 0;
}

.card-text {
    font-size: 14px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.text-main {
    text-transform: uppercase;
    font-size: 23px;
    -webkit-text-fill-color: transparent;
    background: linear-gradient(92.22deg, #eaf2f5, #cc4b79 40.1%, #df8e44 70.83%, #ffd563), #fff;
    -webkit-background-clip: text;
    background-clip: text;
    font-weight: bold;
    line-height: 1.5;
}

/*Tin nổi bật*/
.list-group-item {
    color: #333 !important;
    background-color: transparent !important;
    border: none;
    font-size: 14px;
    text-align: left;
}

.news-container {
    display: flex;
    flex-wrap: wrap;
}

    .news-container .card {
        height: 100%;
        display: flex;
        flex-direction: column;
        border-radius: 10px;
        overflow: hidden;
        position: relative;
    }

        .news-container .card .card-body {
            bottom: 0;
			width: 100%;
			background: #2c44898a;
        }

.news-list {
    max-height: 350px;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #444 #222;
}

    .news-list::-webkit-scrollbar {
        width: 6px;
    }

    .news-list::-webkit-scrollbar-track {
        background: #222;
    }

    .news-list::-webkit-scrollbar-thumb {
        background: #444;
        border-radius: 10px;
    }

.btn-outline-light {
    border: solid 1px #444;
}
.btn-outline-dark {
    /*border: solid 1px #444;*/
}
/*timeline section*/
.timeline-section {
    padding: 20px 20px;
    /*background-color: #191919;*/ /* Đổi nền thành màu tối */
    text-align: center;
}

.timeline-table {
    background-color: #f1f6fb;   /* xanh xám rất nhạt */
    color: #1f3a5f;              /* chữ xanh đậm */
    border-radius: 10px;
    border: 1px solid #d6e2ee;
}

    .timeline-table table {
        width: 100%;
        color: #0e2a47;
    }

    .timeline-table th, .timeline-table td {
        padding: 10px;
        text-align: left;
    }

    .timeline-table th {
        color: var(--bs-primary);
    }

    .timeline-table tr {
        border-bottom: 1px solid #444;
    }

        .timeline-table tr:last-child {
        }

    .timeline-table .btn {
        padding: 5px 10px;
        font-size: 12px;
    }
	.table>:not(caption)>*>*{
		background: transparent !important;
		color: #0e2a47 !important;
	}
/*Bổ sung*/
.banner-img-featured {
    border-radius: 10px;
    overflow: hidden;
	max-height: 200px;
}

    .banner-img-featured img {
        width: 100%;
    }

/*video youtube*/
.video-item {
            display: flex;
            align-items: top;
            border-bottom: 1px solid #ddd;
            text-decoration: none;
            color: black;
            transition: background 0.3s;
            text-align:left;
            margin-bottom: 10px;
            padding-bottom: 10px;
        }
		.video-item:last-child{
			border: none;
		}
        .video-item:hover {
            cursor: pointer;
        }
        .video-item img {
            width: 100px;
            height: 100%;
            border-radius: 5px;
            margin-right: 15px;
			max-height: 100%;
        }
        .video-info {
            flex-grow: 1;
        }
        .video-title {
            font-size: 14px;
            font-weight: 600;
            margin-bottom: 5px;
			color: #333;
        }
        .video-date {
            font-size: 12px;
            color: gray;
        }
		td p{
			margin-bottom: 0;
		}
		thead tr td{
			font-weight: bold;
		}
		.text-red {
			--bs-text-opacity: 1;
			color: #d32525 !important;
		}
		.text-white {
			--bs-text-opacity: 1;
			color: #fff !important;
		}
		.text-black {
			--bs-text-opacity: 1;
			color: rgb(44 73 144) !important;
		}
		.text-primary {
			--bs-text-opacity: 1;
			color: #d32525 !important;
		}
		.card .page-location span {
			cursor: pointer;
			color: #d32525 !important;
		}
		footer p{
			margin: 0;
			padding: 5px 0;
		}
		h1.content-title{
			font-size: 22px !important;
		}
		.board-view{
			padding-top: 0 !important;
		}
		
		.news-list {
			padding-left: 0;
		}

		.news-list .list-group-item {
			position: relative;
			padding-left: 22px;
			border: none;
			border-bottom: 1px dashed #e0e0e0;
			font-size: 14px;
			line-height: 1.5;
		}

		

		.news-list .list-group-item:hover {
			background-color: #f5f9fc;
			color: #c62828;
		}
		.news-list .list-group-item::before {
			content: '›';
			font-size: 18px;
			color: #d32f2f;
			position: absolute;
			left: 6px;
			top: 6px;
		}
		.card {
		}
		.card .text-title {
			color: #d32f2f;
			font-weight: 700;
			text-transform: uppercase;
		}
		.news-sticky{
			position: sticky;
			top: 10px;
		}
